Um einen bleibenden 3D-Schnitt im Product anzulegen, ist eigentlich eine spiezielle Lizenz erforderlich.
Mit nachfolgendem Makro geht's, zumindest in R19, auch ohne.
'---------------------------------------------------------------------------------------
' Procedure : CATMain
' Author : from the catia.cad.de forum
' Date : 25.06.2015
' Time : 22:32
' Languages : VBA 6.5
' V5-Release: V5R19/21
' Purpose : Adds a persistant section to a product document
' Parms : -
' Ret. Value: -
'
' Syntax : -
'
' Prereqs : an active product
' Remarks : Tested with V5R19; works without sectioning license!
'---------------------------------------------------------------------------------------
'
Sub catmain()
'Sub AddSectToProd()
Dim rootDoc As ProductDocument
Dim root As Product
Dim oProds As Products
Dim oSections As Sections
Dim oSection 'As Section
Set rootDoc = CATIA.ActiveDocument
Set root = rootDoc.Product
Set oProds = root.Products
Set oSections = root.GetTechnologicalObject("Sections")
Set oSection = oSections.Add
End Sub